Skip to content
Install

Expand the storage volume of a database (grow only, max 200Gi)

PATCH
/databases/{id}/storage
curl --request PATCH \
--url https://example.com/databases/example/storage \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "storageSize": "example" }'

Auth: authenticated (scope: deploy)

id
required
string
Media typeapplication/json
object
storageSize
required
string
/^\d+(Mi|Gi|Ti)$/

Example generated

{
"storageSize": "example"
}

OK

Media typeapplication/json
object
previousSize
string | null
storageSize
required
string
warning
required
string | null
key
additional properties

Example generated

{
"previousSize": "example",
"storageSize": "example",
"warning": "example"
}